%define fdr_release %(fdr_release="`rpm -q --queryformat='%{VERSION}' fedora-release | grep -v install 2>/dev/null`" ; if test $? != 0 ; then fdr_release="0" ; fi ; echo "$fdr_release")
%define release 1

Name: 		trix
Version: 	0.93
Release:	%{release}.fc%(dist_release="`echo "%{fdr_release}" | bc 2>/dev/null`" ; echo "$dist_release")
Distribution:	Fedora Core %{fdr_release}
Vendor: 	Sergey Litvinov <linch@adsl.by>
Packager:	Sergey Litvinov <linch@adsl.by>
Summary:  	TriX - VypressChat(TM) compatible chat
License: 	GPL
Group: 		Applications/Internet
URL: 		http://trix.sourceforge.net
Source: 	%{name}-%{version}.tar.bz2
BuildRequires:	autoconf >= 2.52, automake >= 1.5
BuildRequires:  gcc, gcc-c++, zlib-devel, libjpeg-devel
BuildRequires:  qt-devel >= 3.0.0
Requires:       qt >= 3.0.0
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
TriX is a serverless text chat, dedicated to using in small home or 
office LAN's, that runs on Linux using Qt/X11 library. It is compatible 
with Vypress Chat(TM) for Windows. 

%prep
%setup -q
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" 


%build
%configure $LOCALFLAGS

# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j $numprocs

%install
rm -rf %{buildroot}
%makeinstall

%files
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog README TODO INSTALL

%{_bindir}/trix
%{_datadir}/trix/avatars
%{_datadir}/trix/gfx
%{_datadir}/trix/snd
%{_datadir}/trix/tr

%changelog
* Sat Aug 25 2007 - Sergey Litvinov <linch@adsl.by> - 0.92-1
- Update to 0.92
- Bulletin board support (read only)

* Sun Jan 21 2007 - Sergey Litvinov <linch@adsl.by> - 0.91-1
- Update to 0.91

* Tue Dec 26 2006 - Sergey Litvinov <linch@adsl.by> - 0.9-1
- Update to 0.9

* Fri Dec 01 2006 - Sergey Litvinov <linch@adsl.by> - 0.89-1
- Update to 0.89

* Sun Nov 19 2006 - Sergey Litvinov <linch@adsl.by> - 0.88-1
- First rpm release
